# wxRibbonBarEvent Class Reference
[Events, Ribbon User Interface]

`#include </home/work/projects/wx/2.9/wx/interface/wx/ribbon/bar.h>`

Inheritance diagram for wxRibbonBarEvent:
[legend]

## Detailed Description

Event used to indicate various actions relating to a wxRibbonBar.

See wxRibbonBar for available event types.

##

Library: wxRibbon
Category: Events, Ribbon User Interface

See also:
  wxRibbonBar

## Public Member Functions

| wxRibbonBarEvent (wxEventType command_type=wxEVT_NULL, int win_id=0, wxRibbonPage *page=NULL)
| Constructor.
wxRibbonPage * | GetPage ()
| Returns the page being changed to, or being clicked on.
void | SetPage (wxRibbonPage *page)
| Sets the page relating to this event.

List of all members.

## Constructor & Destructor Documentation

wxRibbonBarEvent::wxRibbonBarEvent | ( | wxEventType | command_type = `wxEVT_NULL`,
|  | int | win_id = `0`,
|  | wxRibbonPage * | page = `NULL` |
| ) |  |  |

Constructor.

## Member Function Documentation

wxRibbonPage* wxRibbonBarEvent::GetPage | ( |  | ) |

Returns the page being changed to, or being clicked on.

void wxRibbonBarEvent::SetPage | ( | wxRibbonPage * | page | ) |

Sets the page relating to this event.

|  | [ top ]